# DataExchange
TKSTEP209
StepElement

# StepElement_Array1OfCurveElementSectionDefinition Class Reference

`#include <StepElement_Array1OfCurveElementSectionDefinition.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array1OfCurveElementSectionDefinition (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_Array1OfCurveElementSectionDefinition (const Handle(StepElement_CurveElementSectionDefinition)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepElement_CurveElementSectionDefinition)&V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array1OfCurveElementSectionDefinition ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepElement_Array1OfCurveElementSectionDefinition & | Assign (const StepElement_Array1OfCurveElementSectionDefinition &Other)
const StepElement_Array1OfCurveElementSectionDefinition & | operator= (const StepElement_Array1OfCurveElementSectionDefinition &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_CurveElementSectionDefinition)&Value)
const Handle_StepElement_CurveElementSectionDefinition & | Value (const Standard_Integer Index) const
const Handle_StepElement_CurveElementSectionDefinition & | operator() (const Standard_Integer Index) const
Handle_StepElement_CurveElementSectionDefinition & | ChangeValue (const Standard_Integer Index)
Handle_StepElement_CurveElementSectionDefinition & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepElement_Array1OfCurveElementSectionDefinition (const StepElement_Array1OfCurveElementSectionDefinition &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array1OfCurveElementSectionDefinition::StepElement_Array1OfCurveElementSectionDefinition | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_Array1OfCurveElementSectionDefinition::StepElement_Array1OfCurveElementSectionDefinition | ( | const Handle(StepElement_CurveElementSectionDefinition)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepElement_Array1OfCurveElementSectionDefinition::~StepElement_Array1OfCurveElementSectionDefinition | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array1OfCurveElementSectionDefinition::StepElement_Array1OfCurveElementSectionDefinition | ( | const StepElement_Array1OfCurveElementSectionDefinition & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepElement_Array1OfCurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::Assign | ( | const StepElement_Array1OfCurveElementSectionDefinition & | Other | ) |

Handle_StepElement_CurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepElement_Array1OfCurveElementSectionDefinition::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array1OfCurveElementSectionDefinition::Init | ( | const Handle(StepElement_CurveElementSectionDefinition)& | V | ) |

Standard_Boolean StepElement_Array1OfCurveElementSectionDefinition::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfCurveElementSectionDefinition::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfCurveElementSectionDefinition::Lower | ( |  | ) | const

void StepElement_Array1OfCurveElementSectionDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array1OfCurveElementSectionDefinition::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array1OfCurveElementSectionDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepElement_CurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepElement_CurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepElement_Array1OfCurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::operator= | ( | const StepElement_Array1OfCurveElementSectionDefinition & | Other | ) | `[inline]`

void StepElement_Array1OfCurveElementSectionDefinition::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_CurveElementSectionDefinition)& | Value
| ) |

Standard_Integer StepElement_Array1OfCurveElementSectionDefinition::Upper | ( |  | ) | const

const Handle_StepElement_CurveElementSectionDefinition& StepElement_Array1OfCurveElementSectionDefinition::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepElement_Array1OfCurveElementSectionDefinition::isAllocated `[private]`

Standard_Integer StepElement_Array1OfCurveElementSectionDefinition::myLowerBound `[private]`

Standard_Address StepElement_Array1OfCurveElementSectionDefinition::myStart `[private]`

Standard_Integer StepElement_Array1OfCurveElementSectionDefinition::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepElement_Array1OfCurveElementSectionDefinition.hxx